Change log for dacs package in Ubuntu

113 of 13 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-02-20
Deleted in disco-proposed (Reason: moved to release)
dacs (1.4.40-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Christoph Berg ]
  * Exclude hurd from listed architectures.
  * Use my debian.org address.

 -- Christoph Berg <email address hidden>  Tue, 19 Feb 2019 14:08:41 +0100

Available diffs

Superseded in disco-release on 2019-02-20
Published in cosmic-release on 2018-05-05
Deleted in cosmic-proposed (Reason: moved to release)
dacs (1.4.40-1) unstable; urgency=medium

  * New upstream version.
  * Fix build documentation: Build-depend on docbook-xml and add a symlink
    during build. Thanks Jonas Smedegaard! (Closes: #863528)
  * Mark dacs-examples as Multi-Arch: foreign. (Thanks to the MA-hinter!)
  * Update libdacs1.symbols. Missing now: crypto_cipher_iv_length.
  * Bump to DH 11 and remove dh --with autotools_dev.
  * Move repository to salsa.debian.org.

 -- Christoph Berg <email address hidden>  Mon, 12 Mar 2018 10:08:04 +0100
Superseded in cosmic-release on 2018-05-05
Published in bionic-release on 2018-02-10
Deleted in bionic-proposed (Reason: moved to release)
dacs (1.4.38a-2build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <email address hidden>  Mon, 05 Feb 2018 22:32:51 +0000
Superseded in bionic-release on 2018-02-10
Published in artful-release on 2017-06-02
Deleted in artful-proposed (Reason: moved to release)
dacs (1.4.38a-2) unstable; urgency=medium

  * Reintroduce debian/patches/ssl_hook_Fixup. Otherwise, the module tries to
    access the non-public ssl_hook_Fixup() function which is not resolvable
    anymore in recent openssl versions. Practical history in Debian (the patch
    had been there since the package was first uploaded in 2012, and even
    earlier in private packages), and code comments indicate the function call
    is not necessary, so remove it. Thanks to Jonas Smedegaard for spotting!
    (Closes: #863395)
  * Build-Depend on apache2-ssl-dev instead of libssl-dev to match the openssl
    version apache2 is using.
  * Add test case using a2enmod/apache2ctl configtest.
  * Remove Build-Depends on libxmlsec1-dev which was only needed for the
    already disabled infocard support. (Additionally, libxmlsec1-dev depends
    on libssl-dev, so it was not co-installable with libssl1.0-dev anyway.)

 -- Christoph Berg <email address hidden>  Fri, 02 Jun 2017 13:51:39 +0200

Available diffs

Superseded in artful-release on 2017-06-02
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
dacs (1.4.38a-1) unstable; urgency=medium

  * New upstream version.
    + Do not check/set mode of a log file that does not exist or is not a
      regular file. (Closes: #729410)
    + Added the DACS_SIGNOUT_RESULT parameter to a SIGNOUT_HANDLER URL and
      extended SIGNOUT_HANDLER to explicitly allow a user-specified signout
      handler URL to override a default URL. See dacs_signout(8) and
      dacs.conf(5) for details. (Closes: #739566)
    + For Linux, use _DEFAULT_SOURCE instead of _BSD_SOURCE. (Closes: #703552)
    + Avoid producing a duplicate error message in dacs_auth_transfer.
      (Closes: #740413)

 -- Christoph Berg <email address hidden>  Thu, 12 Jan 2017 16:22:08 +0100

Available diffs

Superseded in zesty-release on 2017-01-13
Deleted in zesty-proposed on 2017-01-14 (Reason: moved to release)
dacs (1.4.38-1) unstable; urgency=medium

  * New upstream version.
    + Works with OpenSSL 1.1. (Closes: #828277)
    + Uses newer config.guess/sub. (Closes: #737641)
    + Installs dacsinit. (Closes: #729475)
  * Rewrite rules to use dh.
  * Disable infocard auth, broken in 1.4.38.
  * Drop debian/patches/ssl_hook_Fixup.
  * Update libdacs1.symbols.
  * Update watch file to also look for .txz files.
  * Fix libdacs-dev short description, thanks Daniele Forsi.
    (Closes: #810537)
  * Remove redundant "dacs" subdir from examples package. (Closes: #729470)
  * Add patch by Chris Lamb to make build reproducible, thanks!
    (Closes: #835673)
  * Support DEB_BUILD_OPTIONS=nodoc.

 -- Christoph Berg <email address hidden>  Wed, 02 Nov 2016 17:21:22 +0100
Superseded in zesty-release on 2016-11-04
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2016-04-07
Deleted in xenial-proposed (Reason: moved to release)
dacs (1.4.28b-3ubuntu2) xenial; urgency=medium

  * Revert changes from the last upload, as they are now unnecessary and cause a
    FTBFS. We no longer need autoreconf to build on e.g. ppc64el.

 -- Logan Rosen <email address hidden>  Thu, 07 Apr 2016 03:27:43 +0000
Superseded in xenial-release on 2016-04-07
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2014-02-04
Deleted in trusty-proposed (Reason: moved to release)
dacs (1.4.28b-3ubuntu1) trusty; urgency=low

  * Use dh-autoreconf and dh_autotools-dev* for newer arches.
    - Specify autoconf macros directory.
 -- Daniel T Chen <email address hidden>   Tue, 04 Feb 2014 09:22:53 -0500
Superseded in trusty-release on 2014-02-04
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
dacs (1.4.28b-3) unstable; urgency=low


  * Fix linking errors/warnings (Closes: #717149)
  * Fix more lintian warnings, let dh_apache2 do the job for us

 -- Martin Zobel-Helas <email address hidden>  Wed, 17 Jul 2013 21:00:28 +0200
Superseded in saucy-release on 2013-07-18
Deleted in saucy-proposed on 2013-07-19 (Reason: moved to release)
dacs (1.4.28b-2ubuntu1) saucy; urgency=low

  * Link libdacs.so with $(LIBS).
 -- Colin Watson <email address hidden>   Wed, 17 Jul 2013 11:48:09 +0100
Superseded in saucy-proposed on 2013-07-17
dacs (1.4.28b-2) unstable; urgency=low


  * debian/control: Adjust build-deps for apache2.4 (Closes: #666810)
  * debian/rules: Use hardening build flags
  * icx.c: Patch to not use internal libxml functions any more (with many
    thanks to Felix Geyer)
  * Update to Standards-Version 3.9.4, no changes needed
  * debian/control: Adjust Depends on libapache-mod-dacs to apache2-api
  * debian/rules: make cgi-bin/dacs_error executable

 -- Martin Zobel-Helas <email address hidden>  Sat, 06 Jul 2013 21:07:17 +0200
Superseded in saucy-release on 2013-07-18
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
dacs (1.4.27b-2) unstable; urgency=medium


  * Remove libapache2-mod-dacs.postrm in order not to remove the conffile
    /etc/apache2/mods-available/auth_dacs.load on package remove. The symlink
    from mods-enabled is removed on package remove, so we can simply leave the
    mods-available file around.  Closes: #689541

 -- Christoph Berg <email address hidden>  Mon, 22 Oct 2012 14:48:10 +0200

Available diffs

Superseded in raring-release on 2012-10-29
Obsolete in quantal-release on 2015-04-24
dacs (1.4.27b-1) unstable; urgency=low


  * New upstream version.
  * All relevant patches were accepted upstream.
  * Set SHELL=@SHELL@ in defs.mk.in, libtool needs it.
  * Update symbols file.
  * Update rules and .install files for new locations in the tmp tree.
  * Rename /usr/bin/http to dacshttp, the httpie package also provides it.
    Closes: #663509
  * Add lintian override for GPL-vs-openssl.

 -- Christoph Berg <email address hidden>  Wed, 21 Mar 2012 12:04:24 +0100
113 of 13 results